Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002062TestLinkTest Specificationpublic2009-02-05 01:522009-03-17 15:40
Reporterjuanmalimanga 
Assigned Tofman 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 3 
Fixed in Version1.8 RC 5 
Summary0002062: 1.8RC3: No tree visible when configured with JTREE.
DescriptionI installed 1.8RC3 and added a few test suites and test cases using the default configuration. I modified the custom_config.inc.php file to use JTREE by uncommenting the appropriate configuration parameter (shown below)...

     $tlCfg->treemenu_type='JTREE';

After doing this, the tree no longer shows on the left pane under the test specification window. Instead of a tree, the following message appears.

     "No test specification available!"

I undo changes made to custom_config.inc.php (i.e. comment out the JTREE config parameter) and the tree is visible again.

[STEPS TO REPRODUCE]

1) After a fresh install of Testlink 1.8 RC3, add some test suites with test cases. Leave the browser open.
2) Configure Testlink to use JTREE as the tree type by editing the custom_config.inc.php file. To do this, uncomment the line containing the JTREE parameter as shown below (which should be on line 90). Then save the changes.

   $tlCfg->treemenu_type='JTREE';

3) Go back to your browser and click on the 'Specification' link on the top navigation bar to refresh the page and observe. (see attached screenshot 'no_jtree_visible.JPG')

[EXPECTED RESULTS]

The JTREE implementation is used.

[ACTUAL RESULTS]

The tree is no longer visible.

[COMMENTS]

Just comment out the JTREE config parameter to undo the changes and revert back to the default configuration.
Additional Information[ENVIRONMENT INFO]

Testlink: 1.8RC3
OS: Ubuntu 8.10 (Intrepid Ibex)
Apache: Apache/2.2.9 (Ubuntu)
MySQL: 5.0.67-0ubuntu6 (Ubuntu)
PHP: PHP 5.2.6-2ubuntu4 with Suhosin-Patch 0.9.6.2 (cli) (built: Oct 14 2008 20:06:32)

Browsers:
1) IE 6: Version 6.0.2900.2180.xpsp_sp2_gdr.050301-1519
2) Firefox 3.0.5
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserIE 6, Firefox 3.0.5
PHP VersionPHP 5.2.6-2ubuntu4 with Suhosin-Patch 0.9.6.2 (cli) (built: Oct 14 2008 20:06:32)
TestCaseID
QA Team - Task Workflow Status
Attached Filesjpg file icon no_jtree_visible.JPG [^] (81,327 bytes) 2009-02-05 01:52

- Relationships

-  Notes
(0005248)
fman (administrator)
2009-02-05 01:59

get last CVS code and retest, please
(0005333)
mhavlat (reporter)
2009-02-10 06:25

Doesn't work with CVS head 09/02/2009. The issue happens for all kinds except ext-js.
(0005346)
elson_wu (reporter)
2009-02-10 10:38

I have ever met the same problem. A variable name is inconsistent in file listTestCases.php. What function invokeMenu return should assign to $tree, not $treeMenu.
(0005351)
fman (administrator)
2009-02-10 15:30

Ok thanks for the help

- Issue History
Date Modified Username Field Change
2009-02-05 01:52 juanmalimanga New Issue
2009-02-05 01:52 juanmalimanga File Added: no_jtree_visible.JPG
2009-02-05 01:52 juanmalimanga Browser => IE 6, Firefox 3.0.5
2009-02-05 01:52 juanmalimanga PHP Version => PHP 5.2.6-2ubuntu4 with Suhosin-Patch 0.9.6.2 (cli) (built: Oct 14 2008 20:06:32)
2009-02-05 01:59 fman Note Added: 0005248
2009-02-05 01:59 fman Status new => feedback
2009-02-10 06:25 mhavlat Note Added: 0005333
2009-02-10 06:26 mhavlat Priority normal => high
2009-02-10 06:26 mhavlat Status feedback => new
2009-02-10 10:38 elson_wu Note Added: 0005346
2009-02-10 15:30 fman Note Added: 0005351
2009-02-10 15:31 fman Status new => assigned
2009-02-10 15:31 fman Assigned To => fman
2009-02-11 15:30 fman Status assigned => resolved
2009-02-11 15:30 fman Fixed in Version => next DEV - 1.8 RC 5
2009-02-11 15:30 fman Resolution open => fixed
2009-03-17 15:40 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker